package com.atmob.voiceai;

import android.content.Context;

import com.atmob.app.lib.base.BaseApplication;
import com.atmob.user.AtmobUser;

import dagger.hilt.android.HiltAndroidApp;


@HiltAndroidApp
public class App extends BaseApplication {

    private static App INSTANCE;

    public static App getInstance() {
        return INSTANCE;
    }

    @Override
    protected void attachBaseContext(Context base) {
        super.attachBaseContext(base);
        INSTANCE = this;
    }

    @Override
    protected boolean isDebug() {
        return BuildConfig.DEBUG;
    }

    @Override
    protected String defaultChannel() {
        return "GooglePlay";
    }

    @Override
    protected int defaultAppId() {
        return 0;
    }

    @Override
    protected int defaultTgPlatformId() {
        return 0;
    }

    @Override
    protected int complianceStrategy() {
        return AtmobUser.GLOBAL;
    }

    @Override
    protected void initCommon(boolean b) {

    }

    @Override
    public void initAfterGrant(boolean b) {

    }
}
